Landscape PDF printed as portrait (and truncated)

Bug #47649 reported by Michel D'HOOGE on 2006-05-31
114
This bug affects 9 people
Affects Status Importance Assigned to Milestone
OpenOffice
Invalid
Undecided
Unassigned
cups (Ubuntu)
Medium
Till Kamppeter
Hardy
Undecided
Unassigned
Intrepid
Undecided
Unassigned
kdegraphics (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
Intrepid
Undecided
Unassigned

Bug Description

Binary package hint: kpdf

I discover that some PDFs created with landscape orientation (for instance, all from open office) are wrongly printed with a portrait orientation.

I printed the same web page both with konqueror and OOo as a landscape PDF and noticed the following differences:

PDF from konqueror (kprint):
- icon preview is turned counter-clock wise.
- kpdf displays it correctly as landscape
- in Print/properties dialog box, orientation selection is portrait
- in print preview, everything looks fine

PDF from Open Office:
- icon preview is in landscape orientation.
- kpdf displays it correctly as landscape
- in Print/properties dialog box, orientation selection is grayed, with landscape selected
- in print preview, page is in portrait mode, while content is still landscape-oriented

I can provide both PDFs as needed.

Luke Plant (spookylukey) wrote :

I can confirm this - I will attach two landscape A4 PDFs showing this.

First PDF, booking_form_2006 (can't remember the exact origin), displays correctly in KPDF, and prints correctly. (Though in the print preview, the top left icon displays correctly, but the first page displays elongated vertically, like it is a portrait page). The orientation can be changed in the print options.

Second PDF, camp_diary_2006, created via export from OpenOffice 2. Displays correctly in KPDF, but prints as portrait, so is truncated. The orientation can't be changed in the print options.

Luke Plant (spookylukey) wrote :

Second file for previous comment.

Luke Plant (spookylukey) wrote :

Try again attaching first PDF

steve (sblatchford) wrote :

I too am not able to print certain landscape pdf's in kpdf. I've attached a file showing this.
Thanks,
-steve

monsieurgonzalez (luisghm) wrote :

Same happens for me (Edgy Beta Kubuntu) when printing from OpenOffice.

Sorry for double posting, but using XPDF to print the PDF file just works, so I guess this must be some problem with KPDF.

Michel D'HOOGE (michel-dhooge) wrote :

It would be interesting to find another applications in addition to OOo that creates PDFs not understood by KPDF. I think we can confirm the bug but it is still not sure whether the problem is in OOo being too "loosy" or KPDF too strict on a "landscape flag".

Changed in kdegraphics:
status: Unconfirmed → Confirmed
Herbert Straub (herbert) wrote :

I can confirm this. I cannot print a landscape formatted pdf in landscape with konqueror. If i try to print this with lpr -PLaser abc.pdf or with evince abd.pdf, then the print output is correct. I created the PDF with OO Spreadsheat.

Albert Astals Cid (aacid) wrote :

Just for the record, it is not KPDF fault, it is just that KPDF shipped by KUbuntu sucks, more information at http://tsdgeos.blogspot.com/2006/11/distributor-patches.html

Andy Bovett (abovett) wrote :

I can also confirm this bug, with a PDF sent to me from an Apple Mac user. Tags in the PDF are:

Creator: AppleWorks
Producer: Mac OS X 10.3.9 Quartz PDFContext
Format: PDF v 1.3

Wold really like this one fixed - or at least a workaround - as it's causing me some problems. Any suggestions?

The KDE bug report (http://bugs.kde.org/show_bug.cgi?id=137121) referenced in the above blog post claims this problem doesn't exist in the original KPDF source.

Liz Young (liz) wrote :

Package: kpdf
Version: 4:3.5.6-0ubuntu1

Unfortunately, this problem still exists in Feisty. Can the Kubuntu patch that breaks this functionality be removed in the supported version? Thanks.

-- System Information:
Debian Release: 4.0
  APT prefers feisty-updates
  APT policy: (500, 'feisty-updates'), (500, 'feisty-security'), (500, 'feisty')
Architecture: i386 (i686)
Shell: /bin/sh linked to /bin/dash
Kernel: Linux 2.6.20-6-generic
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages kpdf depends on:
ii kdelibs4c2a 4:3.5.6-0ubuntu3 core libraries and binaries for al
ii libc6 2.5-0ubuntu9 GNU C Library: Shared libraries
ii libgcc1 1:4.1.1-31ubuntu2 GCC support library
ii libpoppler1 0.5.4-0ubuntu5 PDF rendering library
ii libqt3-mt 3:3.3.7-1ubuntu3 Qt GUI Library (Threaded runtime v
ii libstdc++6 4.1.1-31ubuntu2 The GNU Standard C++ Library v3

Versions of packages kpdf recommends:
ii kghostview 4:3.5.6-0ubuntu1 PostScript viewer for KDE

-- no debconf information

I can print the documents given above properly using gpdf for ubuntu. You can install is using sudo apt-get install gpdf. I use aptitude instead so I don't know if there are any dependencies.

Jake (kamil-jakubovic) wrote :

I was create the attached short perl script for repairing bad orientation in postscript documents.

Steps bellow describes both paper side printing landscape multiple page PPT slide and sounds like from year 1974, but it works well for me on Feisty.
It's all just the open-source-puzzle, you know? :-(

1) ooimpress slide.ppt: Export as PDF > print.pdf
2) kpdf print.pdf: Print to file (PostScript): Landscape > print.ps
3) ./fix_orient print.ps
4) kghostview print.ps: Print: Landscape, Short Side Duplex, Muliple Pages per Sheet Filter using "psnup -l" (lanscape rotation is needed for correct page order)

So, enjoy my salutary fix_orient :-D

Daniel Frein (danielfrein) wrote :

For some reasons the unsupported KPDF 3.5.7 packages for edgy (http://kubuntu.org/announcements/kde-357.php) are build without the controversal poppler patch (which removes kpdf's internal xpdf copy and seems to be the reason for this bug). This means that landscape printing works again with this package (at least for me). And duplex printing (bug 54154) also seems to work.

Fabio Papa (papaf) wrote :

Just to add some fresh info on the subject:
In current Gutsy, the problem is still present. In addition, all PDF related applications seems to have the same problem. I tried kpdf as well as Acrobat reader and even printing a pdf from the command line using lpr. All have the same behaviour of printing in portrait mode and with the truncated output. lpr prints in landscape when passing the "-o landscape" command line option, but the printing is useless anyway because the margins are way off.

I can confirm that the pdf attached by Luke (booking_form_2006.pdf) still works flawlessly.

Fabio Papa (papaf) wrote :

Another thing: the unofficial package of kpdf mentioned by Daniel Frein, compiled without poppler dependency, still works. I think, before Gutsy gets released, something has to be done here. Maybe excluding poppler completely. What's its use, anyway?

Fabio Papa (papaf) wrote :

I made some further tests. The problem seems a little bit more complex than I thought. To avoid wrong conclusion, I simply report here the tests I've done:

Using a .ps produced with the gutsy repos kpdf, on a debian etch machine the file opens correctly in kghostview and also prints correctly. This would seem to indicate the .ps file gets generated correctly, _even_ with poppler involved. Kghostview on gutsy, otoh, displays only half picture, exactly matching the printing problem. Gv, on gutsy, displays the file correctly.

I hope someone can come up with something. If I had to take a guess, I would point my finger to ghostscript, which is currently an svn snapshot in gutsy.

Fabio Papa (papaf) wrote :

Well, one day (less actually) away from 7.10 release, and this bug it's still there. Shame. Fortunately, I came up with a solution: using acrobat reader 7 from the medibuntu repository does work. It's the only pdf viewer which prints landscape documents correctly in kubuntu 7.10.
I can also add that ubuntu rc 7.10 shows the same disfunction.

One question: is it really necessary to use svn quality software in a release, like what's happening with ghostscript? Hell, even Debian sid is not using it...

Fabio Papa (papaf) wrote :

Apparently, even the document viewer in ubuntu prints correctly.

So, it appears that if the viewer is intelligent enough to rotate the document before sending it out to print, it's all ok, but if the viewer relies on ghostscript to do the work (like kpdf, acroread v8 and even plain lpr do, I suppose), the prints gets screwed up.

This is as far as I could go. I hope to have given enough data to work with.

Fabio, xpdf works for me.
-steve

On 10/17/07, Fabio Papa <email address hidden> wrote:
> Well, one day (less actually) away from 7.10 release, and this bug it's still there. Shame. Fortunately, I came up with a solution: using acrobat reader 7 from the medibuntu repository does work. It's the only pdf viewer which prints landscape documents correctly in kubuntu 7.10.
> I can also add that ubuntu rc 7.10 shows the same disfunction.
>
> One question: is it really necessary to use svn quality software in a
> release, like what's happening with ghostscript? Hell, even Debian sid
> is not using it...
>
> --
> Landscape PDF printed as portrait (and truncated)
> https://bugs.launchpad.net/bugs/47649
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Xpdf is the only way I can print pdf files in landscape orientation. Acroread, kpdf, and kghostview all fail, even though print preview looks fine.

Fabio Papa (papaf) wrote :

What release of acroread? With the 8.1 from adobe site, I agree with you. But the 7 release from medibuntu, it works for me. Maybe you can try that.

Fabio Papa (papaf) wrote :

Just a little clarification of my point of view.
I appreciate all the suggestion aimed at resolving my problem. I really appreciate the (k)ubuntu community.
What I would like to see regarding this bug is, however, a solution to the underlaying problem. What I see instead is trying to find an app which can circumvent it. Who knows if maybe in the future the problems gets worse and I cannot print anymore with my kubuntu install? I would really like to avoid that. And, moreover, I'm puzzled and worries about the selection of some packages release, like ghostscript being an svn snapshot into what should be a stable release. That is probably also the root of the problem itself. When you look at Debian sid, which is all but a stable platform, and you see it's a few releases _behind_, you really start to wonder if the choice was sound. When the aim of (k)ubuntu is, among other things, stability itself, I wonder even more.

Sorry for the little venting. I only want to be clear.

I am also experiencing this bug in kpdf and acroread, with a variety of pdf documents on two printers connected to a box with a 64-bit install of Kubuntu Gutsy. I don't seem to remember this problem occurring in Feisty, but I could be wrong based on what I read on this page. Landscape printing also fails on .odt documents printed in KWord and OOo Writer.

Any idea when this bug will be fixed? I frequently need to print landscape mode, so this bug is quite annoying. I am considering a move to SimplyMEPIS in the hope of eliminating this problem.

I use xpdf to view/print pdf files now.
-steve

On Nov 23, 2007 12:42 AM, Casey Finnerty <email address hidden> wrote:
> I am also experiencing this bug in kpdf and acroread, with a variety of
> pdf documents on two printers connected to a box with a 64-bit install
> of Kubuntu Gutsy. I don't seem to remember this problem occurring in
> Feisty, but I could be wrong based on what I read on this page.
> Landscape printing also fails on .odt documents printed in KWord and OOo
> Writer.
>
> Any idea when this bug will be fixed? I frequently need to print
> landscape mode, so this bug is quite annoying. I am considering a move
> to SimplyMEPIS in the hope of eliminating this problem.
>
> --
> Landscape PDF printed as portrait (and truncated)
> https://bugs.launchpad.net/bugs/47649
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Downloading and using Debian's package (i368: http://packages.debian.org/en/etch/i386/kpdf/download ) seems like a working solution. Be careful not to upgrade it when installed.

rjs987 (rjs987) wrote :

I am currently having this problem also. Using Kubuntu 7.10 amd64. I am using HPLIP 2.8.4 with a HP Photosmart c6280 all-in-one printer. Have tried kpdf, epdf, xpdf, flpsed pdf, and still get only portrait hard copy. I am not trying to print a pdf from OOo, but rather a two page pdf that was created on Mac OSX 10.5.1 with QuarkXPress. I am trying to print the document as a two sided page (duplex) and that is the only part that works right (it does print on two sides, but as portrait). The document shows in the pdf viewer (which ever one I tried) correctly as a landscape document, it shows in the print preview (in all the programs that have it) correctly ***BUT*** the thumbnails on the left side of the preview screen all showed as portrait even though the document was showing correctly in the right viewer pane. When I selected to print the document with preview I saw the same in that preview screens. In any printer properties setup the page orientation was grayed out with Landscape selected but still I ended up with a portrait hard copy with the document content truncated on the right. I have attached a copy of the document.

Nuno Lucas (ntlucas) wrote :

This bug is almost 2 years old now and still not fixed. Not even in the release candidate 8.04 LTS!!!
Come on, surely no one can say it has insufficient info...

wolfgang (wolfhai-gmx) wrote :

I can confirm this with Hardy and HP LJ 1100 - landscape option is ignored by kpdf.
Solution: apt-get purge kpdf && apt-get install xpdf and wait for fixing, because I cna't fix it myself.
But kpdf is much better than acroread. :-)

FriedChicken (domlyons) wrote :

I can canfirm this bug, too. (Tested using KPDF and KGhostView)

Andreas Zitzelsberger (az82) wrote :

Another confirm for KDPF/8.04. Very irritating :-(

I've just done a few more tests:
- Simply printing landscape PDFs with KPDF actually works.
- Printing to a PS file also works, but KGhostView displays the page previews with portrait orientation,
- Using the psnup filter to print multiple pages on a single sheet fails
- XPDF works well
- Printing with XPDF to KPrinter works, also when using the psnup filter
- This might point to the underlying problem: Using pdftops FILE - | kprinter --stdin results in the same problems as using KPDF
- Also, the result seems to depend on the PDF. I've just found one created by Acrobat on Windows which works just fine. Unfortunately, I can't publish the mentioned PDFs.

Does anyone know an acceptable bugfix (other than XPDF which is *not* acceptable)?

Nuno Lucas (ntlucas) wrote :

Didn't the KDE bug report link already said the problem was with the [K]Ubuntu patches? (and confirmed by others)
The fix seems to be to just use the original source, as only Ubuntu has this problem.

Igor Tarasov (tarasov-igor) wrote :

The same bug here. Firstly experienced on 7.10, now on kubuntu 8.04. Fixed by installing kpdf package from debian. Found it here: http://packages.debian.org/lenny/kpdf

ChrisKelley (ckelley) wrote :

Same problem here on standard Kubuntu 8.04 x86_64 install:

$ uname -a
Linux inside 2.6.24-19-generic #1 SMP Fri Jul 11 21:01:46 UTC 2008 x86_64 GNU/Linux
$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 8.04.1
Release: 8.04
Codename: hardy

FWIW, with the Brother HL5250DN driver in the standard install, I can print duplex, but as with above, all areas to select landscape are grayed out. I then installed xpdf and now understand why it is called unacceptable! I can landscape but cannot duplex, as there are no printing options.

gpdf is not available:
$ sudo apt-get install gpdf
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package gpdf is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package gpdf has no installation candidate

:) Chris

z3non (tom-uttenthaler) wrote :

I've just been trying to print out a Lancscape-PDF created with PosteRazor with little success - got truncated portrait printouts - regardless of the orientation settings in the print dialog.

btw: I'm running Intrepid Beta, so chances are high, that this bug even survives the fifth release after its discovery ...

z3non (tom-uttenthaler) wrote :

I have the same/similar problems when printing from inkscape or acroread. As acroread uses lpr I doubt it has something to do with kdegraphics/kprinter. So the problem must be in cups or in the driver.

ii cups 1.3.9-2 Common UNIX Printing System(tm) - server
ii foomatic-db-gutenprint 5.2.0~rc1-0ubuntu1 OpenPrinting printer support - database for Gutenprint printer

I'm using gutenprint 5.2 with my Epson Stylus RX520 (compatible to RX510).

regards,
tom

Joachim Schwender (jschwender) wrote :

I can see that when i use a PDF where the "/Rotation 270" tag is used to rotate a landscape doc on portrait paper, which is conforms the standard. I use the lpr command line to send the file, to avoid any influence from Adobe Reader or KPDF. Cups does not handle this correct. Debian lenny works with a 1.3.8 version that works correctly, maybe someone should look at these patches and port this to ubuntu? I can confirm this bug for ubuntu 8.10 with cups 1.3.9. I suspect this is a cups bug introduced with 1.3 series where a new pdf filter.

LindseyD. (ai279) wrote :

Okay, I gave up and installed xpdf. But how does one use it? I don't see any way of adjusting print settings. Is there a man page I failed to download? I can't find anything on their site.

I've figured out that a right-click brings up a limited menu, but there's no help file. The "?" is only the "About" box.

BTW, I'm using Kubuntu so we can chalk up another one for kdegraphics (Ubuntu).

Pierre Buard (pierre-buard) wrote :

Apparently you can't change xpdf settings from the GUI. You need to edit $HOME/.xpdfrc.
See "man xpdfrc" or <http://www.fifi.org/cgi-bin/man2html/usr/share/man/man5/xpdfrc.5.gz>

(I gave up using Ubuntu KDE flavor and went upstream because of small things like this bug).

LindseyD. (ai279) wrote :

> Apparently you can't change xpdf settings from the GUI. You need to
> edit $HOME/.xpdfrc. See "man xpdfrc" or
> <http://www.fifi.org/cgi-bin/man2html/usr/share/man/man5/xpdfrc.5.gz>

Thanks for this. And so quickly!

> (I gave up using Ubuntu KDE flavor and went upstream because of small
> things like this bug).

Upstream as in Ibex? Isn't that just trading one set of bugs for
another :-)

xpdf seems to use the standard settings of the default printer. A workaround is to change these settings temporarily, send the print command and then change the settings back. Works for me, but having this bug fixed would be much, much better!

Changed in kdegraphics:
status: New → Invalid

So this is now an "invalid" bug? Does that mean that kubuntu is an invalid
distro, too?

Apologies for the sarcasm, but the typical response to bug reports I have
taken part of is to minimize investigation, disbelieve reports, and quickly
assign a bug status that implies there is no problem. While this is not a
show stopping issue for me (I just go use one of our windows PCs to print
PDFs when kpdf is unable to), this is the kind of mentality that will
certainly prevent more than an elite minority of users to enjoy linux.

How about creating a bug status of "This is a bug, but right now, we can't
handle the load" ??

OK, back to your regular scheduled programming...
Chris

--
Chris Kelley
President
California Cycleworks, Inc
www.ca-cycleworks.com
619/501-2466

On Mon, Dec 15, 2008 at 3:07 AM, Till Kamppeter <email address hidden>wrote:

> ** Changed in: kdegraphics (Ubuntu Intrepid)
> Status: New => Invalid
>
> --
> Landscape PDF printed as portrait (and truncated)
> https://bugs.launchpad.net/bugs/47649
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Jonathan Thomas (echidnaman) wrote :

Relax. The bug was just invalidated for Intrepid, since there isn't a current SRU-able fix available.

ChrisKelley (ckelley) wrote :

Ah, thanks.

Still bummed that some change happened & made this bug happen. In my normal
workflow, kubuntu is much better than XP. :-)

:) Chris

On Mon, Dec 15, 2008 at 1:23 PM, Jonathan Thomas <email address hidden>wrote:

> Relax. The bug was just invalidated for Intrepid, since there isn't a
> current SRU-able fix available.
>
> --
> Landscape PDF printed as portrait (and truncated)
> https://bugs.launchpad.net/bugs/47649
> You received this bug notification because you are a direct subscriber
> of the bug.
>

More exactly to say that it wa only invalidated for the "kdegraphics" package in Intrepid, as there is no SRU for this package available. There is an SRU for the CUPS package available. This will be soon uploaded (there still needs to be added a fix for another bug) and we will tell you when the package is ready for testing.

Martin Pitt (pitti) wrote :

Till fixed this in trunk.

Changed in kdegraphics:
status: New → Invalid
Changed in cups:
assignee: nobody → till-kamppeter
status: Confirmed → Fix Committed
Changed in openoffice:
status: New → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cups - 1.3.9-10

---------------
cups (1.3.9-10) experimental; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/pdftopdf/P2PCatalog.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PCatalog.h,
    debian/local/filters/pdf-filters/pdftopdf/P2PDoc.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PDoc.h,
    debian/local/filters/pdf-filters/pdftopdf/P2PPage.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PPage.h,
    debian/local/filters/pdf-filters/pdftopdf/P2PPageTree.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PPageTree.h,
    debian/local/filters/pdf-filters/pdftopdf/pdftopdf.cxx: Fixed problem
    of Landscape-oriented PDF files being printed in the wrong orientation
    (LP: #47649, LP: #244840).

  * debian/local/filters/cpdftocps: Made correct number of copies being
    printed on PostScript printers with hardware copy handling (LP: #286048).

  [ Martin Pitt ]
  * debian/local/apparmor-profile: Allow cupsd to run Brother drivers.
    (LP: #237256)

 -- Martin Pitt <email address hidden> Wed, 17 Dec 2008 07:46:04 +0100

Changed in cups:
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Accepted cups into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in cups:
status: New → Fix Committed
mabawsa (mabawsa) wrote :

I have installed the proposed package and it works for A4. However other sizes get a bit confused. hen I try to print a postcard then everything goes strange. I have tried evince, adobe acrobat, gimp and inkscape to print to the printer and pdf and get very similar results.

mabawsa (mabawsa) wrote :

This is the output from the pdf print. I get similar results when I print for real.

mabawsa (mabawsa) wrote :

And just for badness here is the portrait

Martin Pitt (pitti) wrote :

Problems with non-A4 sizes should get a separate bug report, as requested by Till in bug 300312. Thanks for testing!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cups - 1.3.9-2ubuntu6

---------------
cups (1.3.9-2ubuntu6) intrepid-proposed; urgency=low

  * debian/local/filters/cpdftocps: Fixed the fix for the number of copies.
    In some cases it failed and pstops was called with 0 copies
    requested. (LP: #309314)

cups (1.3.9-2ubuntu5) intrepid-proposed; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/pdftopdf/P2PCatalog.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PCatalog.h,
    debian/local/filters/pdf-filters/pdftopdf/P2PDoc.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PDoc.h,
    debian/local/filters/pdf-filters/pdftopdf/P2PPage.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PPage.h,
    debian/local/filters/pdf-filters/pdftopdf/P2PPageTree.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PPageTree.h,
    debian/local/filters/pdf-filters/pdftopdf/pdftopdf.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PResources.cxx: Fixed problem
    of Landscape-oriented PDF files being printed in the wrong orientation
    (LP: #47649), added processing of the rotate tag (intrepid
    regression) (LP: #300312).
  * debian/local/filters/cpdftocps: Made correct number of copies
    being printed on PostScript printers with hardware copy handling
    (LP: #286048).

  [ Martin Pitt ]
  * debian/local/apparmor-profile: Allow cupsd to run Brother drivers.
    (LP: #237256)

 -- Till Kamppeter <email address hidden> Fri, 19 Dec 2008 15:58:55 +0100

Changed in cups:
status: Fix Committed → Fix Released
LindseyD. (ai279) wrote :

Apologies for asking what's probably a stupid question, but from what I can tell cups - 1.3.9-2ubuntu6 is only available with Intrepid. For those of us with earlier releases, how do we install this, and will it fix the bug? (Guess that's 2 stupid questions.)

scottws (scottwsx96) wrote :

I concur with Melanie F. My current hardware cannot run Kubuntu 8.10 Intreped Ibex or anything newer, so upgrading is not a solution for me. I need a way to get this upgraded cups package onto 8.04 Hardy Heron so I can actually print landscape PDF files properly.

sokai (sokai) wrote :

+1
... for release in Hardy Heron! *please*
I think not only hardware issues can keep off from upgrading to Intreped Ibex. For me it's the i.e. the dis-usability of KDE4... :-|

Are there some _big_ changes in cups (1.3.9-2ubuntu6) that obstruct releasing for Hardy?

Maxim Doucet (maximdoucet) wrote :

It seems that Matthew Flaschen has been nominated for fixing this bug in Hardy.

Cups is one of those package that can be obviously be installed on a Ubuntu Server 8.04 LTS: *Long* Term Support.

I don't know if there's a way to prioritize tasks, but Ubuntu 8.04 Server will exist for 5 years (!) and should definitely be a priority. This version is widely installed because this is a server distribution: you want it to be stable and reliable. Cups being unable to print correctly as a print server in a shared network (that's the point of 8.04 Server LTS) is a pitty.

Is there somewhere with or at least instructions to build Cups in a PPA?

Maxim Doucet (maximdoucet) wrote :

This bug is affected to the source package "cups". It seems that this package is only used since Ubuntu Intrepid (see https://launchpad.net/ubuntu/+source/cups).

If you take a look at https://launchpad.net/ubuntu/+source/cupsys, it appears that "cupsys" is the name used for the CUPS package from Ubuntu Dapper to Ubuntu Hardy.

Is there a way to mark this bug as affecting "cupsys" too? (I suppose that standard launchpad accounts can't do that... Am I wrong?)

It would be helpful to link it because in "cupsys" bugs there are potential duplicates :
 * https://bugs.launchpad.net/ubuntu/+source/cupsys/+bug/153248
 * https://bugs.launchpad.net/ubuntu/+source/cupsys/+bug/172664

shinyblue (shinyblue) wrote :

Confirming bug still in Hardy: test case attached.
Prints just fine from Adobe Reader from same machine.

shinyblue (shinyblue) wrote :

darn it, meant to say also: PDF was created by inkscape.

Maxim Doucet (maximdoucet) wrote :

Reading comment #57 I wonder if it would be needed to create a new bug report in order to ask 8.04 Hardy backport of the fix released in Intrepid.

Is it the way to go?

The fix of Intrepid cannot be transferred to Hardy, as in Intrepid all CUPS filters got replaced to make up the new PDF printing workflow.

Please create a new bug report for Hardy.

Changed in kdegraphics (Ubuntu Hardy):
status: New → Invalid
Changed in cups (Ubuntu Hardy):
status: New → Invalid
Michal Suchanek (hramrach) wrote :

8 months from "release" of the fix the cups in Intrepid is still broken.

Changed in cups (Ubuntu Intrepid):
status: Fix Released → Confirmed

Michal Suchanek, can you please attach the PDFs which print incorrectly and tell how you created them?

Michal Suchanek (hramrach) wrote :

2009/10/12 Till Kamppeter <email address hidden>:
> Michal Suchanek, can you please attach the PDFs which print incorrectly
> and tell how you created them?

Sorry, I was not clear enough.

In a previous comment the fix was "released" in cups 1.3.9-2ubuntu6 or
such but the package is nowhere to be found. In Intrepid I still have
1.3.9-2. I even changed to a different mirror but I don't get the
updated package.

Thanks

Michal

Michal Suchanek (hramrach) wrote :

Sorry, I checked the sources again and I had inly sources configured for updates and the package was no longer in proposed.

Changed in openoffice:
status: Invalid → Fix Released
Michal Suchanek (hramrach) wrote :

Sorry, I checked the sources again and I had only sources configured for updates and the package was no longer in proposed.

Changed in cups (Ubuntu Intrepid):
status: Confirmed → Fix Released
Changed in openoffice:
status: Fix Released → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers